- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#body.AdvertiserGroupsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups/list#try-it)

Retrieves a list of advertiser groups, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/advertiserGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of results to return. |
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only advertiser groups with these IDs. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `searchString` | `string` Allows searching for objects by name or ID. Wildcards (`*`) are allowed. For example, `"advertiser*2015"` will return objects with names like `"advertiser group June 2015"`, `"advertiser group April 2015"`, or simply `"advertiser group 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"advertisergroup"` will match objects with name `"my advertisergroup"`, `"advertisergroup 2015"`, or simply `"advertisergroup"`. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Advertiser Group advertiserGroups.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "advertiserGroups": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups#AdvertiserGroup`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#advertiserGroupsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `advertiserGroups[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/advertiserGroups#AdvertiserGroup`)`` Advertiser group collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`